Skip to main content
GET
/
accounts
List Accounts
curl --request GET \
  --url https://api.{your-broker}.slate-labs.com/accounts
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Query Parameters

group_id
string<uuid>[] | null
customer_id
string<uuid> | null
currency
string[] | null
is_active
boolean | null
account_type
string | null
margin_call_risk
boolean
default:false

Filter to accounts approaching margin call

search
string | null
has_open_positions
boolean | null

True: accounts with ≥1 open position (exact EXISTS check). False: no open positions.

balance_min
number | null

Inclusive lower bound on trading_accounts.balance (account currency). Authoritative Postgres value.

balance_max
number | null

Inclusive upper bound on trading_accounts.balance (account currency). Authoritative Postgres value.

equity_min
number | null

Inclusive lower bound on trading_accounts.equity. NOTE: equity is a snapshot column refreshed ~60s by the PnL engine — may lag the live row value shown from Redis.

equity_max
number | null

Inclusive upper bound on trading_accounts.equity. NOTE: equity is a snapshot column refreshed ~60s by the PnL engine — may lag the live row value shown from Redis.

page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 500
sort_by
string | null
sort_dir
string | null
default:desc

Response

Successful Response